# SoftwareComponentVariant

interface SoftwareComponentVariant : HasAttributes, Named

A software component variant, which has a number of artifacts, dependencies, constraints and capabilities, and that can be published to various formats (Gradle metadata, POM, ivy.xml, ...)

#### Since

5.3

## Functions

getArtifacts
Link copied to clipboard
abstract fun getArtifacts(): Set<out PublishArtifact>
getAttributes
Link copied to clipboard
abstract fun getAttributes(): AttributeContainer
getCapabilities
Link copied to clipboard
abstract fun getCapabilities(): Set<out Capability>
getDependencies
Link copied to clipboard
abstract fun getDependencies(): Set<out ModuleDependency>
getDependencyConstraints
Link copied to clipboard
abstract fun getDependencyConstraints(): Set<out DependencyConstraint>
getGlobalExcludes
Link copied to clipboard
abstract fun getGlobalExcludes(): Set<ExcludeRule>
getName
Link copied to clipboard
abstract fun getName(): String